Smart Device Needed for the Avengers Hero Inventor Kit

Updated 4 months ago by Quinn McRae

A smart device is required to use the app in the Avengers Hero Inventor Kit app. Compatible devices include: 

  • An iPhone or iPad with iOS 9.0 or higher. 
  • An Android phone or tablet with Android OS 5.0 Lollipop or higher.

Amazon devices are not compatible at this time.


How did we do?


Powered by HelpDocs (opens in a new tab)